%define upstream_name MooseX-SlurpyConstructor
%define upstream_version 1.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Make your object constructor collect all unknown attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Make your object constructor collect all unknown attributes.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.300.0-5.mga10
+ Revision: 2204088
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-4.mga9
+ Revision: 1809824
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-3.mga8
+ Revision: 1505415
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.300.0-2.mga7
+ Revision: 1285086
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.300.0-1.mga7
+ Revision: 1168273
- update to 1.30

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1030619
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 968222
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 851643
- imported package perl-MooseX-SlurpyConstructor

